pydo.apps.create_deployment()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.apps.create_deployment(
    app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
    body={
        "force_build": True,
    },
)
Returns JSONRaises HttpResponseError

Description

Creating an app deployment will pull the latest changes from your repository and schedule a new deployment for your app.

Parameters

app_id string required

The app ID

force_build boolean optional

Example: True

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

create_resp = client.apps.create_deployment(app_id="b6bdf840", body={"force_build": True})

Response Example

Show Response Example
{
  "deployment": {
    "id": "b6bdf840-2854-4f87-a36c-5f231c617c84",
    "spec": {
      "name": "sample-golang",
      "disable_edge_cache": true,
      "disable_email_obfuscation": true,
      "enhanced_threat_control_enabled": true,
      "services": [
        {
          "name": "web",
          "github": {
            "repo": "digitalocean/sample-golang",
            "branch": "branch"
          },
          "run_command": "bin/sample-golang",
          "environment_slug": "go",
          "instance_size_slug": "apps-s-1vcpu-0.5gb",
          "instance_count": 2,
          "routes": [
            {
              "path": "/"
            }
          ]
        }
      ],
      "region": "ams"
    },
    "services": [
      {
        "name": "web",
        "source_commit_hash": "9a4df0b8e161e323bc3cdf1dc71878080fe144fa"
      }
    ],
    "phase_last_updated_at": "0001-01-01T00:00:00Z",
    "created_at": "2020-07-28T18:00:00Z",
    "updated_at": "2020-07-28T18:00:00Z",
    "cause": "commit 9a4df0b pushed to github/digitalocean/sample-golang",
    "progress": {
      "pending_steps": 6,
      "total_steps": 6,
      "steps": [
        {
          "name": "build",
          "status": "PENDING",
          "steps": [
            {
              "name": "initialize",
              "status": "PENDING"
            },
            {
              "name": "components",
              "status": "PENDING",
              "steps": [
                {
                  "name": "web",
                  "status": "PENDING",
                  "component_name": "web",
                  "message_base": "Building service"
                }
              ]
            }
          ]
        },
        {
          "name": "deploy",
          "status": "PENDING",
          "steps": [
            {
              "name": "initialize",
              "status": "PENDING"
            },
            {
              "name": "components",
              "status": "PENDING",
              "steps": [
                {
                  "name": "web",
                  "status": "PENDING",
                  "steps": [
                    {
                      "name": "deploy",
                      "status": "PENDING",
                      "component_name": "web",
                      "message_base": "Deploying service"
                    },
                    {
                      "name": "wait",
                      "status": "PENDING",
                      "component_name": "web",
                      "message_base": "Waiting for service"
                    }
                  ],
                  "component_name": "web"
                }
              ]
            },
            {
              "name": "finalize",
              "status": "PENDING"
            }
          ]
        }
      ]
    },
    "phase": "PENDING_BUILD",
    "tier_slug": "basic"
  }
}

More Information

See /v2/apps/{app_id}/deployments in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.